scala.util

# automata

#### package automata

Visibility

1. Public
2. All

### Type Members

1. #### abstract class BaseBerrySethi extends AnyRef

   this turns a regexp over A into a NondetWorkAutom over A using the celebrated position automata construction (also called Berry-Sethi or Glushkov)

2. #### abstract class DetWordAutom[T <: AnyRef] extends AnyRef

   A deterministic automaton.

3. #### trait Inclusion[A <: AnyRef] extends AnyRef

   A fast test of language inclusion between minimal automata.

4. #### abstract class NondetWordAutom[T <: AnyRef] extends AnyRef

   A nondeterministic automaton.

5. #### class SubsetConstruction[T <: AnyRef] extends AnyRef

6. #### abstract class WordBerrySethi extends BaseBerrySethi

   This class turns a regexp into a NondetWordAutom using the celebrated position automata construction (also called Berry-Sethi or Glushkov)